POST api/Course/Bind/Code
绑定课程小程序码(说明:小程序端接口)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_BindCourseCode| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
用户微信OpenId |
string |
None. |
| userNickName |
微信昵称 |
string |
None. |
| userCity |
城市 |
string |
None. |
| userProvince |
省份 |
string |
None. |
| userTouxiangPic |
微信头像地址 |
string |
None. |
| userCountry |
国家 |
string |
None. |
| userSex |
性别 |
integer |
None. |
| bindCodeId |
绑定码Id |
integer |
None. |
| courseId |
绑定课程Id |
integer |
None. |
| requestNo |
短信验证码请求流水 |
string |
None. |
| bindMobile |
绑定手机号 |
string |
None. |
| mobileCode |
绑定验证码 |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"userNickName": "sample string 2",
"userCity": "sample string 3",
"userProvince": "sample string 4",
"userTouxiangPic": "sample string 5",
"userCountry": "sample string 6",
"userSex": 7,
"bindCodeId": 8,
"courseId": 9,
"requestNo": "sample string 10",
"bindMobile": "sample string 11",
"mobileCode": "sample string 12"
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确 2、当前绑定码与课程不匹配)... 。560:验证码不正确或已过期... 。404:信息不存在(1、课程信息不存在 2、绑定码信息不存在 3、平台数据等级信息不存在)... 。800:当前用户已存在此课程... 。200:成功... 。400:失败... 。
ActionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"msg": "sample string 2"
}